package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_ENTRUSTED_BILL所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2016-06-15
 */
@SuppressWarnings("serial")
public class MilEntrustedBillEntity implements java.io.Serializable {
	/***
	 * 委外流水号
	 */
	private String subcontractNoSeq = "";
	 

	/**
     * 委外单号
     */
    private String subcontractNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 厂线代码
     */
    private String plineCode = "";
    /**
     * 委外工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     */
    private String offlinePro = "";
    /**
     * 返线支数
     */
    private String backlineNum = "";
    /**
     * 委外合格支数
     */
    private String subcontractcompleteNum = "";
    /**
     * 委外支数
     */
    private String subcontractNum = "";
    /**
     * 委外时间
     */
    private String entrustedTime = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 委外是否完成(0，未完成，1，已完成)
     */
    private String subcontractFlag = "";
    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     */
    private String offlineType = "";
    /**
     * 委外废品支数
     */
    private String subcontractscrapNum = "";
    /**
     * 审核标志(0 未审核 1，审核通过 2，审核不通过)
     */
    private String entrustedFlag = "";
    /**
     * 委外产线代码
     */
    private String entrustedPlineCode = "";
    /**
     * 委外产线名称
     */
    private String entrustedPlineName = "";
    /**
     * 审核备注
     */
    private String entrustedRemark = "";
    /**
     * 委外重量
     */
    private String subcontractWgt = "";
    /**
     * 委外完成重量
     */
    private String subcontractCompleteWgt = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 钢管处理
     */
    private String steelPipeProcess = "";
    /**
     * 超声探伤
     */
    private String ulTesting = "";

    /***
     * 委托类型
     */
    private String subcontractType = "";
    
    /***
     * 分切定尺
     */
    private String subcontractCompleteLen = "";
    
	/***
     * 分切数
     */
    private String subcontractCompleteCut = "";
    
    /***
     * 分切定尺
     * @return
     */
    public String getSubcontractCompleteLen() {
		return subcontractCompleteLen;
	}

	public void setSubcontractCompleteLen(String subcontractCompleteLen) {
		this.subcontractCompleteLen = subcontractCompleteLen;
	}
	/***
	 * 分切数
	 * @return
	 */
    public String getSubcontractCompleteCut() {
		return subcontractCompleteCut;
	}

	public void setSubcontractCompleteCut(String subcontractCompleteCut) {
		this.subcontractCompleteCut = subcontractCompleteCut;
	}

	/***
     * 委托类型
     * @return
     */
    public String getSubcontractType() {
		return subcontractType;
	}

	public void setSubcontractType(String subcontractType) {
		this.subcontractType = subcontractType;
	}

	/***
     * 委外流水号
     * @return
     */
    public String getSubcontractNoSeq() {
		return subcontractNoSeq;
	}

	public void setSubcontractNoSeq(String subcontractNoSeq) {
		this.subcontractNoSeq = subcontractNoSeq;
	}
    
    /**
     * 委外单号
     * @return value
     */
    public String getSubcontractNo() {
        return subcontractNo;
    }

    /**
     * 委外单号
     * @param subcontractNo value
     */
    public void setSubcontractNo(String subcontractNo) {
        this.subcontractNo = subcontractNo;
    }
    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 委外工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     * @return value
     */
    public String getOfflinePro() {
        return offlinePro;
    }

    /**
     * 委外工序(JZ-矫直 TS-探伤 ZJ-人工质检)
     * @param offlinePro value
     */
    public void setOfflinePro(String offlinePro) {
        this.offlinePro = offlinePro;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getBacklineNum() {
        return backlineNum;
    }

    /**
     * 返线支数
     * @param backlineNum value
     */
    public void setBacklineNum(String backlineNum) {
        this.backlineNum = backlineNum;
    }

    /**
     * 委外合格支数
     * @return value
     */
    public String getSubcontractcompleteNum() {
        return subcontractcompleteNum;
    }

    /**
     * 委外合格支数
     * @param subcontractcompleteNum value
     */
    public void setSubcontractcompleteNum(String subcontractcompleteNum) {
        this.subcontractcompleteNum = subcontractcompleteNum;
    }

    /**
     * 委外支数
     * @return value
     */
    public String getSubcontractNum() {
        return subcontractNum;
    }

    /**
     * 委外支数
     * @param subcontractNum value
     */
    public void setSubcontractNum(String subcontractNum) {
        this.subcontractNum = subcontractNum;
    }

    /**
     * 委外时间
     * @return value
     */
    public String getEntrustedTime() {
        return entrustedTime;
    }

    /**
     * 委外时间
     * @param entrustedTime value
     */
    public void setEntrustedTime(String entrustedTime) {
        this.entrustedTime = entrustedTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 委外是否完成(0，未完成，1，已完成)
     * @return value
     */
    public String getSubcontractFlag() {
        return subcontractFlag;
    }

    /**
     * 委外是否完成(0，未完成，1，已完成)
     * @param subcontractFlag value
     */
    public void setSubcontractFlag(String subcontractFlag) {
        this.subcontractFlag = subcontractFlag;
    }

    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     * @return value
     */
    public String getOfflineType() {
        return offlineType;
    }

    /**
     * 下线类别(1，未探伤下线，2，已探伤下线)
     * @param offlineType value
     */
    public void setOfflineType(String offlineType) {
        this.offlineType = offlineType;
    }

    /**
     * 委外废品支数
     * @return value
     */
    public String getSubcontractscrapNum() {
        return subcontractscrapNum;
    }

    /**
     * 委外废品支数
     * @param subcontractscrapNum value
     */
    public void setSubcontractscrapNum(String subcontractscrapNum) {
        this.subcontractscrapNum = subcontractscrapNum;
    }

    /**
     * 审核标志(0 未审核 1，审核通过 2，审核不通过)
     * @return value
     */
    public String getEntrustedFlag() {
        return entrustedFlag;
    }

    /**
     * 审核标志(0 未审核 1，审核通过 2，审核不通过)
     * @param entrustedFlag value
     */
    public void setEntrustedFlag(String entrustedFlag) {
        this.entrustedFlag = entrustedFlag;
    }

    /**
     * 委外产线代码
     * @return value
     */
    public String getEntrustedPlineCode() {
        return entrustedPlineCode;
    }

    /**
     * 委外产线代码
     * @param entrustedPlineCode value
     */
    public void setEntrustedPlineCode(String entrustedPlineCode) {
        this.entrustedPlineCode = entrustedPlineCode;
    }

    /**
     * 委外产线名称
     * @return value
     */
    public String getEntrustedPlineName() {
        return entrustedPlineName;
    }

    /**
     * 委外产线名称
     * @param entrustedPlineName value
     */
    public void setEntrustedPlineName(String entrustedPlineName) {
        this.entrustedPlineName = entrustedPlineName;
    }

    /**
     * 审核备注
     * @return value
     */
    public String getEntrustedRemark() {
        return entrustedRemark;
    }

    /**
     * 审核备注
     * @param entrustedRemark value
     */
    public void setEntrustedRemark(String entrustedRemark) {
        this.entrustedRemark = entrustedRemark;
    }

    /**
     * 委外重量
     * @return value
     */
    public String getSubcontractWgt() {
        return subcontractWgt;
    }

    /**
     * 委外重量
     * @param subcontractWgt value
     */
    public void setSubcontractWgt(String subcontractWgt) {
        this.subcontractWgt = subcontractWgt;
    }
    
    
    /**
     * 委外完成重量
     * @return value
     */
    public String getSubcontractCompleteWgt() {
        return subcontractCompleteWgt;
    }

    /**
     * 委外完成重量
     * @param subcontractWgt value
     */
    public void setSubcontractCompleteWgt(String subcontractCompleteWgt) {
        this.subcontractCompleteWgt = subcontractCompleteWgt;
    }
    
    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 钢管处理
     * @return value
     */
    public String getSteelPipeProcess() {
        return steelPipeProcess;
    }

    /**
     * 钢管处理
     * @param steelPipeProcess value
     */
    public void setSteelPipeProcess(String steelPipeProcess) {
        this.steelPipeProcess = steelPipeProcess;
    }

    /**
     * 超声探伤
     * @return value
     */
    public String getUlTesting() {
        return ulTesting;
    }

    /**
     * 超声探伤
     * @param ulTesting value
     */
    public void setUlTesting(String ulTesting) {
        this.ulTesting = ulTesting;
    }
}